#include <stdio.h>
#include <map>
#include <iomanip>

using namespace std;
int main() {
    ios_base::sync_with_stdio(0);
    int n;
    scanf("%d", &n);
    map<double, double> fensi;
    double a, b;
    for (int i = 0; i < n; i++) {
        scanf("%lf %lf", &a, &b);
        fensi[b]+=a;
    }
    double zbir = 0, porezStvar;
    double resenje = 0;
    for (auto iter = fensi.rbegin(); iter != fensi.rend(); ++iter) {
        zbir+=iter->second;
        porezStvar = zbir * (iter->first/100);
        if (resenje < porezStvar) {
            resenje = porezStvar;
        }
    }
    printf("%lf", resenje);
    return 0;
}